/*
 * nulldrv.h -- a do nothing driver, use as a template for real ones.
 *
 *  Copyright 1998 John E. Stone (j.stone@acm.org)
 *
 *  $Id: nulldrv.h,v 1.4 1998/02/25 01:25:43 johns Exp $
 *
 */

int nulldrv_drvinst(AddMIDIDriverFunc adddriver, MidiSystem * midisystem);

#ifdef NULLDRV_INTERNAL

int nulldrv_open(MidiDeviceSetupParms, MidiDeviceHandle *, int *iofd); 
int nulldrv_write(MidiDeviceHandle, MidiIOEvent *); 
int nulldrv_read(MidiDeviceHandle, MidiIOEvent *); 
int nulldrv_close(MidiDeviceHandle *); 

#endif

